summarylogtreecommitdiffstats
path: root/tinc-pre.install
diff options
context:
space:
mode:
authorHexchain Tong2015-10-08 14:45:05 +0800
committerHexchain Tong2015-10-08 14:46:14 +0800
commit268afab95a1e88684c747d519cf4eecb6ef6c8d6 (patch)
tree814f6e697f0121b0d395267c874a54645dc82e9e /tinc-pre.install
parente0f8bd45674687fc86a0efbf97ef0c6e867755b7 (diff)
downloadaur-268afab95a1e88684c747d519cf4eecb6ef6c8d6.tar.gz
Fix PKGBUILD
Diffstat (limited to 'tinc-pre.install')
-rw-r--r--tinc-pre.install17
1 files changed, 17 insertions, 0 deletions
diff --git a/tinc-pre.install b/tinc-pre.install
new file mode 100644
index 00000000000..7d5dea46349
--- /dev/null
+++ b/tinc-pre.install
@@ -0,0 +1,17 @@
+infodir=/usr/share/info
+file=tinc.info
+
+post_install() {
+ [[ -x /usr/bin/install-info ]] || return 0
+ install-info $infodir/$file.gz $infodir/dir
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x /usr/bin/install-info ]] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir
+}
+